#include "mmult.h"


/*    c = a * b,
a    m x n, b  n x k, c  m x k,
   ,   BLOCK_SIZE.
*/
void mmult(int m, int n, int k, const float * a, const float * b, float * c)
{
    //     (    
    //   CPU).
    for (int i = 0; i < m; ++i)
        for (int j = 0; j < k; ++j)
        {
            c[i * k + j] = 0;
            for (int l = 0; l < n; ++l)
                c[i * k + j] += a[i * n + l] * b[l * k + j]; // c(i, j) += a(i, l) * b(l, j)
        }
}
